Bug 244780 - NetworkManager nor iwconfig command will not recognize wireless device
Summary: NetworkManager nor iwconfig command will not recognize wireless device
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: powerpc Linux
low
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-19 05:30 UTC by Herminio Hernandez Jr.
Modified: 2008-01-28 21:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-28 21:11:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -n output (502 bytes, text/plain)
2007-06-26 04:44 UTC, Herminio Hernandez Jr.
no flags Details
dmesg | grep bcm43xx output (3.84 KB, text/plain)
2007-06-26 04:44 UTC, Herminio Hernandez Jr.
no flags Details
dmesg | grep bcm43xx (1.30 KB, text/plain)
2007-07-23 04:48 UTC, Herminio Hernandez Jr.
no flags Details
/var/log/message (10.51 KB, text/plain)
2007-07-23 04:48 UTC, Herminio Hernandez Jr.
no flags Details
bcm43xx-old-config (592 bytes, text/plain)
2007-08-09 17:26 UTC, John W. Linville
no flags Details

Description Herminio Hernandez Jr. 2007-06-19 05:30:37 UTC
Description of problem: I am unable to use my broadcom 4306 wireless device on
powerbook g4. I installed the proper firmware using bcm43xx-fwcutter and when i
enter dmesg | grep bcm43xx i got this error line:
bcm43xx_mac80211: !WARNING! Idle-TSSI phy->cur_idle_tssi measuring failed.
(cur=0, tgt=62). Disabling power adjustment

Comment 1 David Nielsen 2007-06-21 05:17:13 UTC
CC'ing linville@redhat.com for opinions on this one.

Comment 2 David Nielsen 2007-06-22 05:48:28 UTC
Reassigning to the kernel component, this is likely a driver bug not a NM bug.

Herminio can you append the output of rpm -q kernel? 

Comment 3 Herminio Hernandez Jr. 2007-06-22 15:00:16 UTC
the output of rpm -q kernel is:
kernel-2.16.21-1.3194.fc7 

Comment 4 John W. Linville 2007-06-25 14:44:34 UTC
Is this issue just about that warning?  Or does the device actually fail to 
work?

Comment 5 Herminio Hernandez Jr. 2007-06-25 16:11:13 UTC
the device fails to work.

Comment 6 John W. Linville 2007-06-25 17:10:50 UTC
OK, then we need some better information.  How about attaching the output of 
`dmesg` and the output of `lspci -n`?  Also, please indicate the exact source 
of the firmware you are using (URL preferred)...thanks!

Comment 7 Herminio Hernandez Jr. 2007-06-26 04:44:07 UTC
Created attachment 157852 [details]
lspci -n output

Comment 8 Herminio Hernandez Jr. 2007-06-26 04:44:45 UTC
Created attachment 157853 [details]
dmesg | grep bcm43xx output

Comment 9 Herminio Hernandez Jr. 2007-06-26 04:46:59 UTC
the exact source of the firmware is here: Linksys WRT350N v1.03.2 GPL release
(sorry i do not have the url)

Comment 10 Herminio Hernandez Jr. 2007-07-18 23:04:58 UTC
May I please have a status on this bug?

Comment 11 John W. Linville 2007-07-19 00:52:36 UTC
Please try these kernels:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=11320

Do they work any better for you?

Comment 12 Herminio Hernandez Jr. 2007-07-23 04:48:04 UTC
Created attachment 159759 [details]
dmesg | grep bcm43xx

Comment 13 Herminio Hernandez Jr. 2007-07-23 04:48:53 UTC
Created attachment 159760 [details]
/var/log/message

Comment 14 Herminio Hernandez Jr. 2007-07-23 20:19:55 UTC
I forgot to add that even with the new kernel my wireless device still does 
not function.

Comment 15 John W. Linville 2007-07-23 20:26:43 UTC
Please try the firmware from here:

   http://downloads.openwrt.org/sources/broadcom-wl-4.80.53.0.tar.bz2

Does that work any better for you?

Comment 16 Herminio Hernandez Jr. 2007-07-24 04:39:08 UTC
I extracted the firmware using bcm43xx-fwcutter and there was no change.

Comment 17 John W. Linville 2007-08-09 17:26:34 UTC
Created attachment 160992 [details]
bcm43xx-old-config

Please execute this script as root on your machine.  This will configure your
machine to use the older bcm43xx driver.  This is necessary on some devices
with older chip revisions, even though the PCI ID would indicate that the newer
driver should work.

Comment 18 John W. Linville 2007-08-09 17:29:20 UTC
After executing the script from comment 17, does your wireless work?

Comment 19 John W. Linville 2008-01-28 21:11:11 UTC
Closed due to lack of response...


Note You need to log in before you can comment on or make changes to this bug.